//+------------------------------------------------------------------+
//|                    investio_rysowanie_wielu_interwalow_v_0_1.mq4 |
//|                  Copyright 2016, Marcin Tuszkiewicz, Investio.pl |
//|                                              https://investio.pl |
//+------------------------------------------------------------------+
#property copyright "Copyright 2016, Marcin Tuszkiewicz, Investio.pl"
#property link      "https://investio.pl"
#property version   "1.00"
#property strict
#property script_show_inputs
#property indicator_separate_window
#property indicator_maximum 1000
#property indicator_minimum 0
#property indicator_buffers 4

string indicator_name = "Investio Rysowanie Wielu Interwaw 0.5";




//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int OnInit()
  {
//--- indicator buffers mapping
   IndicatorShortName(indicator_name);
   IndicatorDigits(Digits);
   EventSetTimer(60);
//--- indicator lines

//--- initialization done
//---
   return(INIT_SUCCEEDED);
  }
  
  void OnDeinit(const int reason)
  {
//---
   
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {
//---
 int subwindow_id = WindowFind(indicator_name);
   int y = ChartGetInteger(0, CHART_HEIGHT_IN_PIXELS, subwindow_id);   

   IndicatorSetDouble(INDICATOR_MAXIMUM, y);
return(rates_total);
}
//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
  {
//---

}